<div>
    <h2 id="page-heading">
        <span jhiTranslate="gestioncvsApp.experience.home.title">Experiences</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-experience" [routerLink]="['/experience/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="gestioncvsApp.experience.home.createLabel">
            Create a new Experience
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="experiences?.length === 0">
        <span jhiTranslate="gestioncvsApp.experience.home.notFound">No experiences found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="experiences && experiences.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="firstName"><span jhiTranslate="gestioncvsApp.experience.firstName">First Name</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="lastName"><span jhiTranslate="gestioncvsApp.experience.lastName">Last Name</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="email"><span jhiTranslate="gestioncvsApp.experience.email">Email</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="phoneNumber"><span jhiTranslate="gestioncvsApp.experience.phoneNumber">Phone Number</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="hireDate"><span jhiTranslate="gestioncvsApp.experience.hireDate">Hire Date</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="salary"><span jhiTranslate="gestioncvsApp.experience.salary">Salary</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="commissionPct"><span jhiTranslate="gestioncvsApp.experience.commissionPct">Commission Pct</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="ressourceProposeId"><span jhiTranslate="gestioncvsApp.experience.ressourcePropose">Ressource Propose</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let experience of experiences ;trackBy: trackId">
                    <td><a [routerLink]="['/experience', experience.id, 'view']">{{ experience.id }}</a></td>
                    <td>{{ experience.firstName }}</td>
                    <td>{{ experience.lastName }}</td>
                    <td>{{ experience.email }}</td>
                    <td>{{ experience.phoneNumber }}</td>
                    <td>{{ experience.hireDate | date:'medium' }}</td>
                    <td>{{ experience.salary }}</td>
                    <td>{{ experience.commissionPct }}</td>
                    <td>
                        <div *ngIf="experience.ressourceProposeId">
                            <a [routerLink]="['/ressource-propose', experience.ressourceProposeId , 'view']" >{{ experience.ressourceProposeId }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/experience', experience.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/experience', experience.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(experience)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="experiences && experiences.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
